Ubuntu 16.04 安装RPM 软件包问题

在Ubuntu安装 rpm 软件,输入命令

rpm -ivh electron-0.1.2.rpm

但是 rpm 是 redhat 的软件包格式,所以使用 rpm -ivh 出现如下错误

rpm:RPM should not be used directly install RPM packages, use Alien instead!
rpm:However assuming you know what you are doing...
错误: 依赖检测失败:
/bin/sh 被 electron-ssr-0.1.2-20.x86_64 需要

解决方案
首先安装 alien 和 fakeroot 这两个软件,alien 可以将 rpm 转换为 deb 包。
在终端中输入命令

sudo apt-get install alien fakeroot

最简单的命令安装

sudo alien -i electron-0.1.2.rpm

OK,安装完成,上面操作还是无法操作请执行如下操作,正常安装请忽略

使用 alien 将 rpm 包转为 deb 包:

fakeroot alien javase*.rpm

转换成功,可以即刻使用这个命令来安装:

sudo dpkg -i javase*.deb

如果安装 rpm 包,照下面做:

apt-get install alien
alien -i xxx.rpm 直接安装
alien -d xxx.rpm 生成 Debian 包
apt-get install rpm
mkdir /var/lib/rpm
rpm –initdb
rpm -ivh xxx.rpm

开机自运行:用 rcconf 配置启动选项

apt-get install rcconf
rcconf
暂无评论

发送评论 编辑评论


				
|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇